#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[]){
  int x, y, delete_color, w = 0, h = 0;
  unsigned char *p_image_top;
  FILE *fp;

  switch(*argv[3]){
    case 'r':
      delete_color = 0;
      break;
    case 'g':
      delete_color = 1;
      break;
    case 'b':
      delete_color = 2;
  }

  fp = fopen(argv[1], "rb");
  fscanf(fp, "P6\n# Created by IrfanView\n%d %d\n255\n", &w, &h);
  p_image_top = malloc(sizeof(unsigned char) * w * h * 3);
  fread(p_image_top, sizeof(unsigned char), w * h * 3, fp);
  fclose(fp);

  for(y = 0; y < h; y++){
    for(x = 0; x < w; x++){
      p_image_top[(y * w + x) * 3 + delete_color] = 0;
    }
  }

  fp = fopen(argv[2], "wb");
  fprintf(fp, "P6\n# Created by IrfanView\n%d %d\n255\n", w, h);
  fwrite(p_image_top, sizeof(unsigned char), w * h * 3, fp);
  fclose(fp);

  free(p_image_top);
  return 0;
}
