#include <stdio.h>
#include <stdlib.h>

void sub(int size) {
  int a[size];

  printf("sizeof(a)..%d\n", sizeof(a));
  for (int i = 0; i < size; i++) {
    a[i] = i;
  }
  for (int i = 0; i < size; i++) {
    printf("a[%d]..%d\n", i, a[i]);
  }
}

void sub2(int rows, int cols, int matrix[][cols]) {
  for (int row = 0; row < rows; row++) {
    for (int col = 0; col < cols; col++) {
      printf("%d ", matrix[row][col]);
    }
    printf("\n");
  }
}

int main(void) {
  char buf[1024];
  int size;

  printf("size..");
  fgets(buf, 1024, stdin);
  sscanf(buf, "%d", &size);
  sub(size);

  int (*a)[size] = malloc(sizeof(int) * size * 10);
  for (int row = 0; row < 10; row++) {
    for (int col = 0; col < size; col++) {
      a[row][col] = col * 10 + row;
    }
  }
  sub2(10, size, a);
}
